dm-snapshot: Add static qualifiers. [Dave Olien]

--- diff/drivers/md/dm-exception-store.c	2004-05-27 14:24:20.000000000 +0100
+++ source/drivers/md/dm-exception-store.c	2004-05-27 14:24:24.000000000 +0100
@@ -584,17 +584,17 @@
 	sector_t next_free;
 };
 
-void transient_destroy(struct exception_store *store)
+static void transient_destroy(struct exception_store *store)
 {
 	kfree(store->context);
 }
 
-int transient_read_metadata(struct exception_store *store)
+static int transient_read_metadata(struct exception_store *store)
 {
 	return 0;
 }
 
-int transient_prepare(struct exception_store *store, struct exception *e)
+static int transient_prepare(struct exception_store *store, struct exception *e)
 {
 	struct transient_c *tc = (struct transient_c *) store->context;
 	sector_t size = get_dev_size(store->snap->cow->bdev);
@@ -608,7 +608,7 @@
 	return 0;
 }
 
-void transient_commit(struct exception_store *store,
+static void transient_commit(struct exception_store *store,
 		      struct exception *e,
 		      void (*callback) (void *, int success),
 		      void *callback_context)
--- diff/drivers/md/dm-snap.c	2004-05-27 14:24:17.000000000 +0100
+++ source/drivers/md/dm-snap.c	2004-05-27 14:24:24.000000000 +0100
@@ -889,7 +889,7 @@
 	return r;
 }
 
-void snapshot_resume(struct dm_target *ti)
+static void snapshot_resume(struct dm_target *ti)
 {
 	struct dm_snapshot *s = (struct dm_snapshot *) ti->private;
 
@@ -1040,7 +1040,7 @@
 /*
  * Called on a write from the origin driver.
  */
-int do_origin(struct dm_dev *origin, struct bio *bio)
+static int do_origin(struct dm_dev *origin, struct bio *bio)
 {
 	struct origin *o;
 	int r;
